import sys
from message.strategies import BaseMessageStrategy

class MessageService:
  def __init__(self, strategy: BaseMessageStrategy) -> None:
    self._strategy = strategy

  def get_prompt(self) -> str:
    self._strategy.get_prompt()

  def transfer(self, text: str) -> any:
    return self._strategy.transfer(text)

  def send(self, message: str) -> any:
    self._strategy.send(message)

  def transfer_and_send(self, recognized_result: any) -> any:
    message = self.transfer(recognized_result)

    if message:
      self.send(message)

    print('Sending message:', recognized_result, file=sys.stderr)
    return message