from abc import ABC, abstractmethod

class BaseMessageStrategy(ABC):
  @abstractmethod
  def get_prompt() -> str:
    pass

  @abstractmethod
  def transfer(self, text: str) -> any:
    pass

  @abstractmethod
  def send(self, message: str) -> any:
    pass