import re

import config
from message.strategies import BaseMessageStrategy

class NumberMessageStrategy(BaseMessageStrategy):
  def __init__(self, prompt=config.NUMBER_PROMPT) -> None:
    self._prompt = prompt

  def get_prompt(self):
    return self._prompt

  def transfer(self, recognized_result: any) -> str:
    return self._transfer_and_clean(recognized_result['text'])

  def _transfer_and_clean(self, text: str) -> str:
    number_mapping = {
      "один": "1",
      "два": "2",
      "три": "3"
    }

    for word, number in number_mapping.items():
      transfered_text = text.replace(word, number)
    
    transfered_text = re.sub(r'[^\d]+', '', transfered_text)
    
    return {'recognized': transfered_text}

  def send(self, message: str) -> None:
    pass