from typing import List
import requests

import config
from message.strategies import BaseMessageStrategy

MESSAGE_ENDPOINT = '/message'

class SosMessageStrategy(BaseMessageStrategy):
  def __init__(self, prompt=config.SOS_PROMPT, url=config.RAT_URL) -> None:
    self._prompt = prompt
    self._url = url

  def get_prompt(self):
    return self._prompt

  def transfer(self, recognized_result: any) -> str:
    return {
      'transcript': recognized_result['text'],
      'results': self._filter_words_with_prompt(recognized_result['text']),
      'segments': recognized_result['segments']
    }

  def _filter_words_with_prompt(self, text: str) -> str:
    words = []

    for prompt in self._prompt.split(' '):
      if prompt in text.lower():
        words.append(prompt)

    return words

  def send(self, message) -> any:
    pass
    #return requests.post(self._url + MESSAGE_ENDPOINT, json={'message': message})
