import sys

from queue_stack.strategies import BaseProcessStrategy
from message import MessageService
from recognizer import Recognizer

class RecognizeAndSendStrategy(BaseProcessStrategy):
  def process(self, file, recognizer: Recognizer, message_service: MessageService, language, prompt) -> any:

    result = recognizer.recognize(file, language=language, prompt=prompt)
    message = message_service.transfer_and_send(result)
    print(message, file=sys.stderr)

    return message