import sys

import config
from recognizer.strategies import BaseRecognizerStrategy

class Recognizer:
  def __init__(self, strategy: BaseRecognizerStrategy) -> None:
    self._strategy = strategy

  def recognize(self, file, language, prompt) -> str:
    result = self._strategy.recognize(file, language=language, prompt=prompt)

    print(f'Result: {result}', file=sys.stderr)
    return result