import whisper

import config
from recognizer.strategies import BaseRecognizerStrategy

class WhisperStrategy(BaseRecognizerStrategy):
  def __init__(self) -> None:
    self._model = whisper.load_model(config.HARPYIA_MODEL, device=config.DEVICE)

  def recognize(self, file, language, prompt) -> any:
    return self._model.transcribe(file.name, \
      language=language, initial_prompt=prompt)